« Previous | Next » 

Revision 541822e0

ID541822e07634a6dce374fed5b47b34212afd657f
Parent d393737d
Child 9e1333b9

Added by Guido Trotter almost 13 years ago

Fix python 2.4 compatibility

I got overexcited and forgot we have to remain compatible with python
2.4. With this patch we move from sha256 to sha1 for hmac authenticated
serialized messages, and we handle both newer and older python, by
importing the right module for each.

Signed-off-by: Guido Trotter <>
Reviewed-by: Iustin Pop <>

Files

  • added
  • modified
  • copied
  • renamed
  • deleted

View differences